Skip to content
Start here

List SCIM User resources

zero_trust.identity_providers.scim.users.list(stridentity_provider_id, UserListParams**kwargs) -> SyncV4PagePaginationArray[AccessUser]
GET/accounts/{account_id}/access/identity_providers/{identity_provider_id}/scim/users

Lists SCIM User resources synced to Cloudflare via the System for Cross-domain Identity Management (SCIM).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Access: Organizations, Identity Providers, and Groups WriteAccess: Organizations, Identity Providers, and Groups Read
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
identity_provider_id: str

UUID.

maxLength36
cf_resource_id: Optional[str]

The unique Cloudflare-generated Id of the SCIM User resource; also known as the “Id”.

email: Optional[str]

The email address of the SCIM User resource.

idp_resource_id: Optional[str]

The IdP-generated Id of the SCIM User resource; also known as the “external Id”.

name: Optional[str]

The name of the SCIM User resource.

page: Optional[int]

Page number of results.

per_page: Optional[int]

Number of results per page.

username: Optional[str]

The username of the SCIM User resource.

ReturnsExpand Collapse
class AccessUser:
id: Optional[str]

The unique Cloudflare-generated Id of the SCIM resource.

active: Optional[bool]

Determines the status of the SCIM User resource.

display_name: Optional[str]

The name of the SCIM User resource.

emails: Optional[List[Email]]
primary: Optional[bool]

Indicates if the email address is the primary email belonging to the SCIM User resource.

type: Optional[str]

Indicates the type of the email address.

value: Optional[str]

The email address of the SCIM User resource.

formatemail
external_id: Optional[str]

The IdP-generated Id of the SCIM resource.

meta: Optional[Meta]

The metadata of the SCIM resource.

created: Optional[datetime]

The timestamp of when the SCIM resource was created.

formatdate-time
last_modified: Optional[datetime]

The timestamp of when the SCIM resource was last modified.

formatdate-time
schemas: Optional[List[str]]

The list of URIs which indicate the attributes contained within a SCIM resource.

List SCIM User resources

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.zero_trust.identity_providers.scim.users.list(
    identity_provider_id="f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "bd97ef8d-7986-43e3-9ee0-c25dda33e4b0",
      "active": true,
      "displayName": "John Smith",
      "emails": [
        {
          "primary": true,
          "type": "work",
          "value": "john.smith@example.com"
        }
      ],
      "externalId": "john_smith",
      "meta": {
        "created": "2025-01-01T00:00:00Z",
        "lastModified": "2025-01-02T00:00:00Z"
      },
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User"
      ]
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "bd97ef8d-7986-43e3-9ee0-c25dda33e4b0",
      "active": true,
      "displayName": "John Smith",
      "emails": [
        {
          "primary": true,
          "type": "work",
          "value": "john.smith@example.com"
        }
      ],
      "externalId": "john_smith",
      "meta": {
        "created": "2025-01-01T00:00:00Z",
        "lastModified": "2025-01-02T00:00:00Z"
      },
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User"
      ]
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}